console.log("CISPL SignerDigital Loaded");

let SDLogToConsole = false;
//Event to set SDLogToConsole value from user page or from browser console
document.addEventListener("ConsoleLogging", function (e){
	if(e.detail.toUpperCase() == "ON")
		SDLogToConsole = true;
	else
		SDLogToConsole = false;
});

//Get Message from Page     
window.addEventListener("message", function(event) {
  // We only accept messages from ourselves
    if (event.source !== window)
        return;

  if (event.data.src && (event.data.src === "user_page.js")) {  
	event.data["origin"] = location.origin;
	if(SDLogToConsole)
	{
		console.log("From page: ");
		console.log(event.data);
	}
	//Send Message to Extension
	chrome.runtime.sendMessage(event.data,function(resp){});
  }
});

//Get Message from Extension
 chrome.runtime.onMessage.addListener(
	function(request, sender, sendResponse) {
		if(SDLogToConsole)
		{
			console.log("From Extension: ");
			console.log(request);
		}
		//sendResponse(request);	
        // post messages to page
        request['src']="content.js";		
		window.postMessage(request, '*');
		return true;
	}
  );

	  
/////// inject content of sdscript.js to the DOM of page  ///////////////
var s = document.createElement('script');
s.src = chrome.runtime.getURL('sdscript.js');
(document.head || document.documentElement).appendChild(s);
s.onload = function() {
    this.remove();
};

